<?php
/*
  KissIt Image 3.5.2

  by @raiwa
  info@oscaddons.com
  www.oscaddons.com

  CE Phoenix, E-Commerce made Easy
  https://phoenixcart.org

  Copyright (c) 2021 Phoenix Cart

  Released under the GNU General Public License
*/

class hook_admin_system_kissItImage {
  public $version = '3.5.2';

}

////
// New HTML image wrapper function modified for KISS Image Thumbnailer by FWR Media
  function tep_image($src, $alt = '', $width = '', $height = '', $parameters = '', $responsive = true, $bootstrap_css = '', $watermark = true) {

    if ( preg_match('%includes/languages/%', $src) ) return tep_image_legacy( $src, $alt, $width, $height, $parameters, $responsive, $bootstrap_css );

    $src = str_replace([HTTP_CATALOG_SERVER], '', $src);
    $src = str_replace([DIR_WS_CATALOG], '../', $src);

    if (defined('DEFAULT_IMAGE') && !Text::is_empty(DEFAULT_IMAGE) && !is_file($src)) {
      $src = DEFAULT_IMAGE;
    } elseif ( (empty($src) || ($src == 'images/')) && (IMAGE_REQUIRED == 'false') ) {
      return false;
    }

    if ( (CONFIG_CALCULATE_IMAGE_SIZE == 'true') && (empty($width) || empty($height)) ) {
      if ($image_size = @getimagesize($src)) {
        if (empty($width) && empty($height)) {
          $width = $image_size[0];
          $height = $image_size[1];
        } elseif (empty($width)) {
          $ratio = $height / $image_size[1];
          $width = (int)($image_size[0] * $ratio);
        } else {
          $ratio = $width / $image_size[0];
          $height = (int)($image_size[1] * $ratio);
        }
      } elseif (IMAGE_REQUIRED == 'false') {
        return false;
      }
    }

    if ( is_file($src ) ) {
      $thumbs_dir_path = str_replace('images/', 'images/' . KISSIT_THUMBS_MAIN_DIR . $width .'_'.$height.'/', dirname($src) . '/');
      require_once DIR_FS_CATALOG . 'includes/apps/kiss_image_thumbnailer/classes/Image_Helper.php';
      $attributes = array( 'alt' => $alt, 'width' => $width, 'height' => $height, 'watermark' => $watermark );
      $image = null;
      $bs_parameters = ' class="';
      if ($responsive === true) {
        $bs_parameters .= 'img-fluid';
      }
      if (!Text::is_empty($bootstrap_css)) $bs_parameters .= ' ' . $bootstrap_css;
      $bs_parameters .= '"';
      if ([] !== $parameters) $bs_parameters .= ' ' . $parameters;

      $image = new Image_Helper( array( 'src'                   => $src,
                                        'attributes'            => $attributes,
                                        'parameters'            => $bs_parameters,
                                        'thumbs_dir_path'       => $thumbs_dir_path,
                                        'thumb_quality'         => KISSIT_JPEG_QUALITY,
                                        'thumb_background_rgb'  => array_combine(array('red', 'green', 'blue'), explode (',', defined('KISSIT_BACKGROUND_COLOR')? KISSIT_BACKGROUND_COLOR: ('255,255,255')))
                                       )
                                );

      if ( false === $image_assembled = $image->assemble() ) {
        return tep_image_legacy( $src, $alt, $width, $height, $parameters, $responsive, $bootstrap_css );
      }

      return $image_assembled;
    }
  } // end function

  function tep_image_legacy($src, $alt = '', $width = '', $height = '', $parameters = '', $responsive = true, $bootstrap_css = '') {

    $image = '<img src="' . tep_output_string($src) . '" border="0" alt="' . tep_output_string($alt) . '"';

    if (!Text::is_empty($alt)) {
      $image .= ' title="' . tep_output_string($alt) . '"';
    }

    if (!Text::is_empty($width) && !Text::is_empty($height)) {
      $image .= ' width="' . tep_output_string($width) . '" height="' . tep_output_string($height) . '"';
    }

    $image .= ' class="';

    if ($responsive === true) {
      $image .= 'img-fluid';
    }

    if (!Text::is_empty($bootstrap_css)) {
      $image .= ' ' . $bootstrap_css;
    }

    $image .= '"';

    if ([] !== $parameters) {
      $image .= ' ' . $parameters;
    }

    $image .= ' />';

    return $image;
  }
