<?php
  /**
  * KISS Image Thumbnailer
  * Creates image thumbnails where the image size requested differs from the actual image size.
  * Ensures that the browser does not have to resize images resulting in far greater loading speeds.
  * Once thumbnails have been created the system has been designed to use very minimal resources.
  *  
  * @license    http://www.gnu.org/licenses/gpl-2.0.html GNU Public License)
  * @package KISS Image Thumbnailer BS
  * @link http://www.fwrmedia.co.uk
  * @copyright Copyright 2008-2009 FWR Media ( Robert Fisher )
  * @author Robert Fisher, FWR Media, http://www.fwrmedia.co.uk 
  * @lastdev $Author:: @raiwa  info@oscaddons.com       $:  Author of last commit
  * @lastmod $Date:: 2020-03-16       			     						 $:  Date of last commit
  * @version $Rev:: 3.2.0 Phoenix                            $:  Revision of last commit
  * @Id $Id:: Image_Helper.php 3.2.0 Phoenix 2020-03-16 @raiwa       $:  Full Details
  
  * $Rev:: 29 Updated for Phoenix. by @raiwa
  * $Rev:: 24 Added Thumbnail sharpening function. by @raiwa
  * $Rev:: 23 Added optional Background. Moved configuration entries from html_output.php. Recuded for more secure updates for all versions. by @raiwa
  * $Rev:: 21 Added Thumbs Main directory support by @raiwa
  * $Rev:: 17 Added Reset Thumbs support by @gergely
  * $Rev:: 14 Added Watermark support by @oboy

  /**
  * Auto remove Configuration entries for KissIT Product Image Thumbs
  *  
  * 
  * @license    http://www.gnu.org/licenses/gpl-2.0.html GNU Public License)
  * @author     Rainer Schmied @raiwa info@sarplataygemas.com
  * @version     24 BS
  */
  
  require('includes/application_top.php');
  
    function keys() {
      return array('KISSIT_IMAGE_MODULE', 'KISSIT_MIN_IMAGE_SIZE', 'KISS_DISABLE_UPSIZE', 'KISSIT_MAIN_PRODUCT_WATERMARK_SIZE', 'KISSIT_MAIN_PRODUCT_WATERMARK_IMAGE', 'KISSIT_MAIN_PRODUCT_WATERMARK_PLACEMENT', 'KISSIT_MAIN_PRODUCT_WATERMARK_MIN_IMAGE_WIDTH', 'KISSIT_MAIN_PRODUCT_WATERMARK_MIN_IMAGE_HEIGHT', 'KISSIT_RESET_IMAGE_THUMBS', 'KISSIT_THUMBS_MAIN_DIR', 'KISSIT_JPEG_QUALITY', 'KISSIT_APPLY_BACKGROUND', 'KISSIT_BACKGROUND_COLOR', 'KISSIT_SHARPEN_THUMBNAIL', 'KISSIT_PRO');
    }

    tep_db_query("delete from configuration where configuration_key in ('" . implode("', '", keys()) . "')");
    
    tep_db_query("UPDATE hooks 
              SET hooks_method = 'image'  
              WHERE hooks_site = 'shop' 
              AND hooks_group = 'system' 
              AND hooks_action = 'startApplication' 
              AND hooks_code = '_06_image'
              AND hooks_class = 'function_surface'
              ");

    echo 'KissIT Configuration entries have been successfully removed.';
?>
