<?php
/*
  $Id$

  KissIt Image Thumbnail 3.5.1 @raiwa
  
  osCommerce, Open Source E-Commerce Solutions
  http://www.oscommerce.com

  Copyright (c) 2021 Rainer Schmied

  Released under the GNU General Public License
*/

////
// New HTML image wrapper function modified for KISS Image Thumbnailer by FWR Media
  function tep_image($src, $alt = '', $width = '', $height = '', $parameters = '', $responsive = true, $bootstrap_css = '', $watermark = true) {

    if (defined('DEFAULT_IMAGE') && tep_not_null(DEFAULT_IMAGE) && !is_file(DIR_FS_CATALOG . $src)) {
      $src = DEFAULT_IMAGE;
    } elseif ( (empty($src) || ($src == 'images/')) && (IMAGE_REQUIRED == 'false') ) {
      return false;
    }
    $width = (int)$width;
    $height = (int)$height;
    if ( (CONFIG_CALCULATE_IMAGE_SIZE == 'true') && (empty($width) || empty($height)) ) {
      if ($image_size = @getimagesize($src)) {
        if (empty($width) && empty($height)) {
          $width = $image_size[0];
          $height = $image_size[1];
        } elseif (empty($width)) {
          $ratio = $height / $image_size[1];
          $width = (int)($image_size[0] * $ratio);
        } else {
          $ratio = $width / $image_size[0];
          $height = (int)($image_size[1] * $ratio);
        }
      } elseif (IMAGE_REQUIRED == 'false') {
        return false;
      }
    }

    if ( is_file($src ) ) {
      $thumbs_dir_path = str_replace('images/', 'images/' . KISSIT_THUMBS_MAIN_DIR . $width .'_'.$height.'/', dirname($src) . '/');
      require_once 'includes/apps/kiss_image_thumbnailer/classes/Image_Helper.php';      
      $attributes = array( 'alt' => $alt, 'width' => $width, 'height' => $height, 'watermark' => $watermark );      
      $image = null;
      $bs_parameters = ' class="';
      if ($responsive === true) {
        $bs_parameters .= 'img-fluid';
      }
      if (tep_not_null($bootstrap_css)) $bs_parameters .= ' ' . $bootstrap_css;
      $bs_parameters .= '"';
      if (tep_not_null($parameters)) $bs_parameters .= ' ' . $parameters;
      
      $image = new Image_Helper( array( 'src'                   => $src,
                                        'attributes'            => $attributes,
                                        'parameters'            => $bs_parameters,
                                        'thumbs_dir_path'       => $thumbs_dir_path,
                                        'thumb_quality'         => KISSIT_JPEG_QUALITY,
                                        'thumb_background_rgb'  => array_combine(array('red', 'green', 'blue'), explode (',', defined('KISSIT_BACKGROUND_COLOR')? KISSIT_BACKGROUND_COLOR: ('255,255,255')))
                                       )
                                );
      
      if ( false === $image_assembled = $image->assemble() ) {
        return tep_image_legacy( $src, $alt, $width, $height, $parameters, $responsive, $bootstrap_css );
      }

      return $image_assembled;
    }
  } // end function

  function tep_image_legacy($src, $alt = '', $width = '', $height = '', $parameters = '', $responsive = true, $bootstrap_css = '') {
    
    if (defined('DEFAULT_IMAGE') && tep_not_null(DEFAULT_IMAGE) && !is_file(DIR_FS_CATALOG . $src)) {
      $src = DEFAULT_IMAGE;
    } elseif ( (empty($src) || ($src == 'images/')) && (IMAGE_REQUIRED == 'false') ) {
      return false;
    }

// alt is added to the img tag even if it is null to prevent browsers from outputting
// the image filename as default
    $image = '<img src="' . tep_output_string($src) . '" alt="' . tep_output_string($alt) . '"';

    if (tep_not_null($alt)) {
      $image .= ' title="' . tep_output_string($alt) . '"';
    }

    if ( (CONFIG_CALCULATE_IMAGE_SIZE == 'true') && (empty($width) || empty($height)) ) {
      if ($image_size = @getimagesize($src)) {
        if (empty($width) && empty($height)) {
          $width = $image_size[0];
          $height = $image_size[1];
        } elseif (empty($width)) {
          $ratio = $height / $image_size[1];
          $width = (int)($image_size[0] * $ratio);
        } else {
          $ratio = $width / $image_size[0];
          $height = (int)($image_size[1] * $ratio);
        }
      } elseif (IMAGE_REQUIRED == 'false') {
        return false;
      }
    }

    if (tep_not_null($width) && tep_not_null($height)) {
      $image .= ' width="' . tep_output_string($width) . '" height="' . tep_output_string($height) . '"';
    }

    $image .= ' class="';

    if ($responsive === true) {
      $image .= 'img-fluid';
    }

    if (tep_not_null($bootstrap_css)) {
      $image .= ' ' . $bootstrap_css;
    }

    $image .= '"';

    if (tep_not_null($parameters)) {
      $image .= ' ' . $parameters;
    }

    $image .= ' />';

    return $image;
  }
